# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    print("installing tis-sinequanon")

    version = control.get_software_version()

    def get_sinequanon_version(key):
        return get_file_properties(makepath(programfiles32, "Sine qua non", "sinequanon.exe"))["FileVersion"]

    install_exe_if_needed(
        "Installe_Sinequanon-%s.exe" % version,
        "/VERYSILENT /SUPPRESSMSGBOXES /NORESTART",
        key="Sine qua non_is1",
        min_version=version,
        get_version=get_sinequanon_version,
    )

    # Kill at end of installation
    killalltasks("Sinequanon.exe")
